configure: Bail out if both GnuTLS and OpenSSL are enabled
authorDiego Biurrun <diego@biurrun.de>
Fri, 26 May 2017 11:05:12 +0000 (13:05 +0200)
committerDiego Biurrun <diego@biurrun.de>
Tue, 6 Jun 2017 12:47:42 +0000 (14:47 +0200)
Both libraries provide similar functionality and cannot be used together.
When both are enabled one is used and the other ignored arbitrarily. Error
out instead and have the user choose which library to use.

configure

index cf10e54..0281f54 100755 (executable)
--- a/configure
+++ b/configure
@@ -2887,6 +2887,9 @@ map "die_license_disabled version3" $EXTERNAL_LIBRARY_VERSION3_LIST
 
 enabled version3 && { enabled gpl && enable gplv3 || enable lgplv3; }
 
+enabled_all gnutls openssl &&
+    die "GnuTLS and OpenSSL must not be enabled at the same time."
+
 # Disable all the library-specific components if the library itself
 # is disabled, see AVCODEC_LIST and following _LIST variables.